/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _DUBLIN_CORE_H
#define _DUBLIN_CORE_H

#include <string>
#include "marcrecord.h"
#include <list>


using namespace std;

/*#define XML_HEAD(endoding) <?xml version='1.0'?>


<rdf:RDF xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
         xmlns:dc = "http://purl.org/dc/elements/1.0/"
         xmlns:dcq = "http://purl.org/dc/qualifiers/1.0/">*/


// DUBLIN CORE OBJECT ///////////////////////////////////////

class DublinCore
{
public:
	DublinCore() : bQualified(true) {}
	virtual ~DublinCore() {  }
	bool GetXML(string & str);
	bool Add(char * szDCTag, char * szQualifier, char * szData);
	void Clear() { dublinCoreData.clear(); }
	bool IsQualified() { return bQualified; }
	void SetQualified(bool bQual) { bQualified = bQual; }
private:
	struct dcDat
	{
	string tag;
	string qualifier;
	string data;
	};

	list<dcDat> dublinCoreData;

	bool bQualified;

};


#endif