/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _MARC21_LEADER_H
#define _MARC21_LEADER_H

#include <string>
#include "marcutil.h"
#include "marcleader.h"


using namespace std;

class MARC21_Leader : public MARCLeader
{
public:
	bool Parse(unsigned char * szBuf, int iBufLength);
	int GetRecLength() { return recordLength; }
	int GetBaseAddressOfData() { return baseAddressOfData; }

	marcEncoding GetCharEncoding(); 


	int recordLength;
    char recordStatus;
    char recordType;
    char impDefined1[2];
    char charCodingScheme;
    char indicatorCount;
    char subfieldCodeLength;
    int baseAddressOfData;
    char impDefined2[3];
	char entryMap[4];

};


#endif