/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#ifndef _MARCTAG_H
#define _MARCTAG_H

#include <string>
#include <iostream>

using namespace std;

class MARCTag
{
public:
	MARCTag();
	~MARCTag();
	MARCTag(const MARCTag & mt); 

	void Parse(unsigned char * szBuf, int iLen);

	void Clear();
	const char * c_str();

	bool IsControl();
	bool IsData();

	MARCTag & operator=(const MARCTag & mt);
	MARCTag & operator=(const string & str);
	MARCTag & operator=(const char * szStr);
	bool operator<(const MARCTag & mt) const;
	bool operator==(const MARCTag & mt) const;



private:

	char buf[4];

};



#endif