
#include "marctodc.h"

/*

bool MARC_To_DublinCore(DublinCore & dcOut, MARCRecord * rec, MDCCONV * conv)
{
	int i = 0;

	string str;

	while(conv[i].mDC != 0)
	{
		rec->MoveFirst();
		str = "";

		if(rec->FindFirst(conv[i].mSrcTag))
		{
			do{
			//if no subfields get entire field
			if(!strlen(conv[i].mSrcFields)) 
			{
				str = rec->Field().GetString();
			}
			else // get requested selected subfield
			{
				int t = 0;
				while(conv[i].mSrcFields[t])
				{
				str += rec->Field().GetSubField(conv[i].mSrcFields[t]);
				++t;
				}
			}
			dcOut.Add(conv[i].mDC, conv[i].mQualifier, (char *)str.c_str()); 
			}while(rec->FindNext(conv[i].mSrcTag));
		}
	++i;
	}

	return true;
}



*/


/*

older versions

bool MARC_To_DublinCore(string & output, MARCRecord * rec, bool bQualified)
{
	if(bQualified)
		return MARC_To_QualifiedDublinCore(output, rec);

	return MARC_To_UnQualifiedDublinCore(output, rec);
}


bool MARC_To_QualifiedDublinCore(string & output, MARCRecord * rec)
{
	string title, creator, subject;

	rec->MoveFirst();

	while(!rec->IsEnd())
	{
	int i;
	i = atoi(rec->Tag().c_str());
	
	switch(i)
	{
	case 245: // TITLE
		output += "<dc:title>" + rec->Field().GetString() + "</dc:title>";
		break;
	case 130: 
	case 210:
	case 240:
	case 242:
	case 246:
	case 730:
	case 740:
		output += "<dc:title \"alternative\">" + rec->Field().GetString() + "</dc:title>";
		break;
	case 100: // CREATOR
	case 110:
	case 111:
	case 700:
	case 710:
	case 711:
	case 720:
		output += "<dc:creator>" + rec->Field().GetString() + "</dc:creator>";
		break;
	case 600:
	case 610:
	case 611:
	case 630:
	case 650:
	case 50:
	case 82:
	case 80:
		output += "<dc:subject>" + rec->Field().GetString() + "</dc:subject>";
		break;
	default:
		break;
	}

	rec->MoveNext();
	}
	return true;
}



bool MARC_To_UnQualifiedDublinCore(string & output, MARCRecord * rec)
{
	string title, creator, subject, publisher, date;
	rec->MoveFirst();

	while(!rec->IsEnd())
	{
	string tag;
	tag = rec->Tag();

	if("245" == tag)
	{
	title = "<dc:title>" + rec->Field().GetString() + "</dc:title>";
	}
	else if("100" == tag)
	{
	creator = "<dc:creator>" + rec->Field().GetString() + "</dc:creator>";
	}
	else if("260" == tag)
	{
	publisher = "<dc:publisher>" + rec->Field().GetString() + "</dc:publisher>";
	date = "<dc:date>" + rec->Field().GetSubField('c') + "</dc:date>";
	}
	else if("600" == tag)
	{
	subject = "<dc:subject>" + rec->Field().GetString() + "</dc:subject>";
	}

	rec->MoveNext();
	}

	output = title + creator + subject + publisher + date;

	return true;
}

bool MARC_To_UnQualifiedDublinCore(DublinCoreUnqualified & output, MARCRecord * rec)
{
	rec->MoveFirst();

	while(!rec->IsEnd())
	{
	string tag;
	tag = rec->Tag();

	if("245" == tag)
	{
	output.title = rec->Field().GetString();
	}
	else if("100" == tag)
	{
	output.creator = rec->Field().GetString();
	}
	else if("600" == tag)
	{
	output.subject = rec->Field().GetString();
	}

	rec->MoveNext();
	}

	return true;
}

*/