/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _MARCTOTXT_H
#define _MARCTOTXT_H


#include <string>
#include <iostream>
#include "marcrecord.h"

using namespace std;


enum txtFormat { plain };

template<class TRecType>
bool MARC_To_TXT(string & output, TRecType & rec, txtFormat format = plain)
{
	rec.MoveFirst();
	while(!rec.IsEnd())
	{
	output += "\n";
	output += rec.Tag().c_str();
	output += " " + rec.Field().GetString(NULL, true);
	rec.MoveNext();
	}

	return true;
}










#endif