/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/
#ifndef _MARC_TEMPLATE_LIBRARY_H
#define _MARC_TEMPLATE_LIBRARY_H


// MARC RECORD TEMPLATES  /////////////////////////
#include "dynamic_marcrecord.h"
#include "static_marcrecord.h"
#include "marceventobject.h"

#include "marc21_record.h" //typdefs for MARC21

// READERS & WRITERS //////////////////////////////////
#include "marcdatasource.h"



//MARC FORMATING & CONVERSION /////////////////////////

#include "marctodc.h" // MARC To Dublin Core
#include "marctohtml.h" // MARC to HTML
#include "marctoxml.h" // MARC to XML
#include "marctobiblio.h" //Create Bibliographies from MARC records

//MARC UTIL ////////////////////////////////

#include "marcsort.h"


#endif