/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#ifndef _MARC21_STATICRECORD_H
#define _MARC21_STATICRECORD_H

#include "marc21_leader.h"
#include "marc21_dir.h"
#include "static_marcrecord.h"
#include "dynamic_marcrecord.h"



typedef StaticMARCRecord<MARC21_Leader, MARC21_Dir> MARC21_StaticRecord;

typedef DynamicMARCRecord<MARC21_Leader, MARC21_Dir> MARC21_DynamicRecord;





#endif