/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/


#ifndef _MARCDIR_H
#define _MARCDIR_H

#include "marcutil.h"
#include "marctag.h"

using namespace std;


class MARCDir
{
public:
	MARCDir() : iLength(0), iStartPos(0) {  }
	virtual bool Parse(unsigned char * szBuf, int iLen) = 0;

	MARCTag mTag;
	int iLength;
	int iStartPos;
};



#endif