/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/

#ifndef _MARCSORT_H
#define _MARCSORT_H

#include "marcrecord.h"


using namespace std;



/*
Binary Predicates for sort algorithm

  	vector<MARC21_StaticRecord> marcContainer;

	sort(marcContainer.begin(), marcContainer.end(), TitleSort);
 */


template<class TRecType>
bool TitleSort(const TRecType & mr1, const TRecType & mr2)
{
	return (mr1.GetTitleString() < mr2.GetTitleString());
}

/*
template<class TRecType, const char * sTag>
bool MARCTagSort(T & mr1, T & mr2)
{
	string str1;

	mr1.FindFirst(sTag);
	str1 = mr1.Field.GetString();

	return (mr1.GetTitleString() < mr2.GetTitleString());
}
*/

#endif