
#include "unimarc_leader.h"




bool UNIMARC_Leader::Parse(unsigned char * szBuf, int iBufLength)
{
	if(iBufLength < 24) return false;

	recordLength = GetNum(szBuf, 5);
	baseAddressOfData = GetNum(szBuf + 12, 5);
	return true;
}


marcEncoding UNIMARC_Leader::GetCharEncoding() 
{
	if(charCodingScheme == '#')
	{
		return charEncoding_MARC8;
	}
	else if (charCodingScheme == 'a')
	{
		return charEncoding_Unicode;
	}
	return charEncoding_Unknown;
}