/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002


	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

  ***************************************************/
#ifndef _UNIMARC_LEADER_H
#define _UNIMARC_LEADER_H





#include <string>
#include "marcutil.h"
#include "marcleader.h"


using namespace std;


/*************************************
The UNIMARC Leader and Dir seem similar
they may be better defined as a typedef


 Q? are the values stored in the leader 
 much the same as MARC21? Need to look into
 this.

  ******************************************/

class UNIMARC_Leader : public MARCLeader
{
public:
	bool Parse(unsigned char * szBuf, int iBufLength);
	int GetRecLength() { return recordLength; }
	int GetBaseAddressOfData() { return baseAddressOfData; }

	marcEncoding GetCharEncoding(); 


	int recordLength;
    char recordStatus;
    char recordType;
    char impDefined1[2];
    char charCodingScheme;
    char indicatorCount;
    char subfieldCodeLength;
    int baseAddressOfData;
    char impDefined2[3];
	char entryMap[4];

};










#endif