/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002

	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

	Test Program One 

	Opens a file of MARC records and converts 
	to Dublin Core


  ***************************************************/



#include <iostream>
#include "../include/mtl.h"
#include <conio.h>


using namespace std;


int main(int argc, char* argv[])
{
	MARCDataSource reader;


	MARC21_StaticRecord rec;

	if(!reader.LoadFromFile("test.mrc"))
	{
	cout << "ERROR: Unable to Open file";
	getch();
		return 0;
	}


	while(reader.Read(rec))
	{
	DublinCore dc;
	MARC_To_DublinCore(dc, rec, MARC21_To_UnqualifiedDC);
	string str;
	dc.GetXML(str);
	cout << str.c_str();
	}

	getch();

	return 0;
}

