/****************************************************
	MARC Template Library 

  Version 0.3 - Released 18th January 2002
  Version 0.2 - Released 14th January 2002
  Version 0.1 - Released 8th January 2002

	Copyright Mark Basedow 2002.
	Email: mark_basedow@hotmail.com

	Please read licence.txt that is
	distributed with this file.

	Test Program Two 

	Opens a file of MARC records and add them to a vector
	where they are then processed using the for_each



  ***************************************************/



#include <iostream>
#include <vector>
#include "../include/mtl.h"
#include <conio.h>
#include <algorithm>


using namespace std;




int main(int argc, char* argv[])
{
	MARCDataSource reader;

	if(!reader.LoadFromFile("test.mrc"))
	{
	cout << "ERROR: Unable to Open file";
	getch();
		return 0;
	}

	MARC21_StaticRecord rec;
	vector<MARC21_StaticRecord> marcContainer;

	while(reader.Read(rec))
	{
	marcContainer.push_back(rec);
	}

	vector<MARC21_StaticRecord>::iterator pos;

	for(pos = marcContainer.begin(); pos != marcContainer.end(); ++pos)
		cout << "\n" << pos->GetTitleString();

//	sort(marcContainer.begin(), marcContainer.end(), TitleSort<MARC21_StaticRecord>);//, );
	
	for(pos = marcContainer.begin(); pos != marcContainer.end(); ++pos)
		cout << "\n" << pos->GetTitleString();


	getch();

	return 0;
}

